%define homedir %{_sysconfdir}/dcc
%define cgibin %{_localstatedir}/dcc/cgibin
%define libexecdir %{_libexecdir}/dcc
Summary: a clients-server system for collecting checksums of mail messages.
Name: dcc
Version: 1.3.31
Release: 1.art
URL: http://www.rhyolite.com/anti-spam/dcc/
Source0: http://www.rhyolite.com/anti-spam/dcc/source/dcc-%{version}.tar.gz
License: distributable for non-commercial use
Group: Networking/Mail
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: sendmail-devel
#BuildRequires: fakeroot

%description
The DCC or Distributed Checksum Clearinghouse is currently a system of
many clients and more than 120 servers that collects and count
checksums related to several million mail messages per day, most as
seen by Internet Service Providers. The counts can be used by SMTP
servers and mail user agents to detect and reject or filter spam or
unsolicited bulk mail. DCC servers exchange or "flood" common
checksums. The checksums include values that are constant across
common variations in bulk messages, including "personalizations."

%prep
%setup -q -n dcc-%{version}

%build
export CFLAGS="%{optflags}"
./configure \
  --with-installroot=%{buildroot} \
  %{?_without_dccm:--disable-dccm} \
  --homedir=%{homedir} \
  --with-cgibin=%{cgibin} \
  --libexecdir=%{libexecdir} \
  --bindir=%{_bindir} \
  --mandir=%{_mandir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE FAQ* CHANGES
%dir %{homedir}
%config(noreplace) %{homedir}/dcc_conf
%config(noreplace) %{homedir}/flod
%config(noreplace) %{homedir}/grey_flod
%config(noreplace) %{homedir}/grey_whitelist
%config(noreplace) %{homedir}/ids
%config(noreplace) %{homedir}/log
%config(noreplace) %{homedir}/map
%config(noreplace) %{homedir}/map.txt
%config(noreplace) %{homedir}/whiteclnt
%config(noreplace) %{homedir}/whitecommon
%config(noreplace) %{homedir}/whitelist
%attr(4555,root,root) %{_bindir}/cdcc
%attr(4555,root,root) %{_bindir}/dccproc
%{libexecdir}
%{cgibin}
%{_mandir}/man8/*

%changelog
* Fri Apr 21 2006 Scott R. Shinn <scott@atomicrocketturtle.com> 1.3.31-1
- update to 1.3.31

* Wed Oct 12 2005 Scott R. Shinn <scott@atomicrocketturtle.com> 1.3.20-1
- update to 1.3.20

* Thu May 26 2005 Scott R. Shinnn<scott@atomicrocketturtle.com>
- update to 1.3.5

* Sun Apr  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.3.0.

* Sun Mar  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.71.

* Mon Jan 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.67.

* Fri Dec 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.64.

* Tue Nov  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.58.

* Fri Oct 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.57.

* Thu Sep 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.53.

* Mon May 31 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.49.

* Mon May  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 1.2.47.

* Sat Apr  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.39.

* Fri May  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


